Bug 551463 - problem with locale/translation (?) of package MC
problem with locale/translation (?) of package MC
Product: Fedora
Classification: Fedora
Component: mc (Show other bugs)
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
Depends On:
Blocks: 484497
  Show dependency treegraph
Reported: 2009-12-30 15:59 EST by Szymon Gruszczynski
Modified: 2013-07-02 19:41 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-02-17 20:44:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Szymon Gruszczynski 2009-12-30 15:59:44 EST
Description of problem:
On system with properly set polish locale (pl_PL.UTF-8), mc's interface is printed partially in english, partially in polish. On the older version of Fedora (as well as on debian, ubuntu, suse etc) most (if not all) of interface is printed properly (i.e in polish on polish system)

Version-Release number of selected component (if applicable):

How reproducible:
type 'mc' in console/terminal

Actual results:

Expected results:
interface should be printed in polish (as much as it's translated)
Comment 1 Jindrich Novy 2009-12-31 05:05:39 EST
Yes, this git snapshot release doesn't have the translations yet fully completed. The translation incompleteness was actually the main reason that delayed the mc-4.7.0 release. I mean not particularly the Polish translations here, others were incomplete as well.

Just checked the 4.7.0 mc release and the translations still looks incomplete.

Are you willing to help with mc Polish translation? The process isn't too complicated actually. If you are willing to help I will gladly apply your changes to the mc translation file and submit them upstream.
Comment 2 Slava Zanko 2009-12-31 05:27:44 EST
Yes, translations will never late. 

Now we planing support of 4.7.0 branch as a stable branch (in minor 4.7.0.x releases will be just bugfixing). And of course, translations for stable branch strongly welcome :)

2 reportstarter: attach your translate into this report, please. I'm now into CC list and will see your future attachment.
Comment 3 Piotr Drąg 2010-02-07 18:30:41 EST
I'm working on Polish translation right now. Should be done and tested in a few days.
Comment 4 Piotr Drąg 2010-02-17 20:44:46 EST
Polish translation has been submitted. Also mc uses now Transifex.net to handle translations.

Note You need to log in before you can comment on or make changes to this bug.